Package Details: python-vint 0.3.14-0

Git Clone URL: https://aur.archlinux.org/python-vint.git (read-only)
Package Base: python-vint
Description: VimL Linter
Upstream URL: https://github.com/Kuniwak/vint/
Keywords: lint vim
Licenses: MIT
Submitter: darnir
Maintainer: darnir
Last Packager: darnir
Votes: 3
Popularity: 0.592802
First Submitted: 2016-01-24 07:31
Last Updated: 2017-09-05 09:07

Latest Comments

petRUShka commented on 2017-09-28 22:03

Same error:

curl: (22) The requested URL returned error: 404 Not Found
==> ERROR: Failure while downloading https://github.com/Kuniwak/vint/archive/0.3.14.tar.gz
Aborting...
==> ERROR: Makepkg was unable to build python-vint.

toiffel commented on 2017-09-20 00:13

==> ERROR: Failure while downloading https://github.com/Kuniwak/vint/archive/0.3.14.tar.gz

The correct URL is:

https://github.com/Kuniwak/vint/archive/v0.3.14.tar.gz

(note missed "v" character before 0.3.14.tar.gz)

blueyed commented on 2017-06-03 14:25

The issue with chardet was fixed upstream.
The package should be updated.

aklt commented on 2017-05-31 20:38

Hi,

I installed this package and it was placed under python3 site-packages. Running it I get an error:

# vint
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 654, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 968, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 859, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (chardet 3.0.3 (/usr/lib/python3.6/site-packages), Requirement.parse('chardet~=2.3.0'), {'vim-vint'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/vint", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3036, in <module>
@_call_aside
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3020, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3049, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 656, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 669, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 854, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'chardet~=2.3.0' distribution was not found and is required by vim-vint